Linux ip-172-31-23-120.eu-west-1.compute.internal 5.10.245-245.983.amzn2.x86_64 #1 SMP Wed Dec 3 00:02:10 UTC 2025 x86_64
Apache/2.4.65 () OpenSSL/1.0.2k-fips
: 172.31.23.120 | : 64.252.114.95
Cant Read [ /etc/named.conf ]
8.2.29
apache
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
accessdb
11.38
KB
-rwxr-xr-x
accton
11.1
KB
-rwxr-xr-x
acpid
48.22
KB
-rwxr-xr-x
addgnupghome
3.05
KB
-rwxr-xr-x
addpart
19.66
KB
-rwxr-xr-x
adduser
111.3
KB
-rwxr-x---
agetty
52.72
KB
-rwxr-xr-x
alternatives
27.51
KB
-rwxr-xr-x
amazon-linux-https
1.01
KB
-rwxr-xr-x
anacron
35.45
KB
-rwxr-xr-x
apachectl
3.84
KB
-rwxr-xr-x
applygnupgdefaults
2.21
KB
-rwxr-xr-x
arp
63.89
KB
-rwxr-xr-x
arpd
70.19
KB
-rwxr-xr-x
arping
19.11
KB
-rwxr-xr-x
atd
27.07
KB
-rwxr-xr-x
atrun
67
B
-rwxr-xr-x
audispd
39.59
KB
-rwxr-xr-x
auditctl
39.44
KB
-rwxr-xr-x
auditd
121.48
KB
-rwxr-xr-x
augenrules
3.7
KB
-rwxr-xr-x
aureport
101.27
KB
-rwxr-xr-x
ausearch
109.7
KB
-rwxr-xr-x
authconfig
43.49
KB
-rwxr-xr-x
authconfig-tui
43.49
KB
-rwxr-xr-x
autrace
15.34
KB
-rwxr-x---
avcstat
11.16
KB
-rwxr-xr-x
badblocks
27.59
KB
-rwxr-xr-x
biosdecode
19.91
KB
-rwxr-xr-x
blkdeactivate
15.97
KB
-r-xr-xr-x
blkdiscard
23.81
KB
-rwxr-xr-x
blkid
86.17
KB
-rwxr-xr-x
blkmapd
43.73
KB
-rwxr-xr-x
blkzone
44.88
KB
-rwxr-xr-x
blockdev
36.38
KB
-rwxr-xr-x
brctl
32.04
KB
-rwxr-xr-x
bridge
121.07
KB
-rwxr-xr-x
build-locale-archive
748.58
KB
-rwx------
cacertdir_rehash
644
B
-rwxr-xr-x
cache_check
1.19
MB
-rwxr-xr-x
cache_dump
1.19
MB
-rwxr-xr-x
cache_metadata_size
1.19
MB
-rwxr-xr-x
cache_repair
1.19
MB
-rwxr-xr-x
cache_restore
1.19
MB
-rwxr-xr-x
cache_writeback
1.19
MB
-rwxr-xr-x
capsh
38.24
KB
-rwxr-xr-x
cfdisk
86.57
KB
-rwxr-xr-x
cgdisk
168.98
KB
-rwxr-xr-x
chcpu
23.59
KB
-rwxr-xr-x
chkconfig
40.15
KB
-rwxr-xr-x
chpasswd
51.55
KB
-rwxr-xr-x
chronyd
296.88
KB
-rwxr-xr-x
chroot
32.38
KB
-rwxr-xr-x
clock
52.22
KB
-rwxr-xr-x
clockdiff
18.96
KB
-rwxr-xr-x
consoletype
6.86
KB
-rwxr-xr-x
convertquota
70.59
KB
-rwxr-xr-x
cracklib-check
6.95
KB
-rwxr-xr-x
cracklib-format
246
B
-rwxr-xr-x
cracklib-packer
6.98
KB
-rwxr-xr-x
cracklib-unpacker
6.93
KB
-rwxr-xr-x
create-cracklib-dict
990
B
-rwxr-xr-x
crond
64.41
KB
-rwxr-xr-x
cryptsetup
63.66
KB
-rwxr-xr-x
ctrlaltdel
19.52
KB
-rwxr-xr-x
ctstat
20.05
KB
-rwxr-xr-x
debugfs
116.65
KB
-rwxr-xr-x
delpart
19.66
KB
-rwxr-xr-x
depmod
147.19
KB
-rwxr-xr-x
devlink
152.16
KB
-rwxr-xr-x
dhclient
406.38
KB
-rwxr-xr-x
dhclient-script
33.32
KB
-rwxr-xr-x
dm_dso_reg_tool
11.2
KB
-rwxr-xr-x
dmevent_tool
11.2
KB
-rwxr-xr-x
dmeventd
39.48
KB
-r-xr-xr-x
dmfilemapd
19.08
KB
-r-xr-xr-x
dmidecode
120.2
KB
-rwxr-xr-x
dmraid
22.01
KB
-rwxr-xr-x
dmraid.static
22.01
KB
-rwxr-xr-x
dmsetup
149.14
KB
-r-xr-xr-x
dmstats
149.14
KB
-r-xr-xr-x
dosfsck
56.08
KB
-rwxr-xr-x
dosfslabel
52.05
KB
-rwxr-xr-x
dracut
53.08
KB
-rwxr-xr-x
dump-acct
19.53
KB
-rwxr-xr-x
dump-utmp
15.4
KB
-rwxr-xr-x
dumpe2fs
23.61
KB
-rwxr-xr-x
e2freefrag
11.16
KB
-rwxr-xr-x
e2fsck
246.56
KB
-rwxr-xr-x
e2image
31.87
KB
-rwxr-xr-x
e2label
69.47
KB
-rwxr-xr-x
e2undo
11.32
KB
-rwxr-xr-x
e4defrag
23.46
KB
-rwxr-xr-x
ebsnvme
15.13
KB
-rwxr-xr-x
ebsnvme-id
6.89
KB
-rwxr-xr-x
ec2ifdown
514
B
-rwxr-xr-x
ec2ifscan
690
B
-rwxr-xr-x
ec2ifup
510
B
-rwxr-xr-x
ec2udev-vbd
485
B
-rwxr-xr-x
ec2udev-vcpu
554
B
-rwxr-xr-x
edquota
79.03
KB
-rwxr-xr-x
era_check
1.19
MB
-rwxr-xr-x
era_dump
1.19
MB
-rwxr-xr-x
era_invalidate
1.19
MB
-rwxr-xr-x
era_restore
1.19
MB
-rwxr-xr-x
ether-wake
69.18
KB
-rwxr-xr-x
ethtool
289.73
KB
-rwxr-xr-x
exportfs
72.85
KB
-rwxr-xr-x
faillock
14.93
KB
-rwxr-xr-x
fatlabel
52.05
KB
-rwxr-xr-x
fcgistarter
10.92
KB
-rwxr-xr-x
fdformat
28.01
KB
-rwxr-xr-x
fdisk
115.54
KB
-rwxr-xr-x
filefrag
15.14
KB
-rwxr-xr-x
findfs
11.12
KB
-rwxr-xr-x
fixfiles
10.89
KB
-rwxr-xr-x
fixparts
57.7
KB
-rwxr-xr-x
fsadm
23.97
KB
-r-xr-xr-x
fsck
44.72
KB
-rwxr-xr-x
fsck.cramfs
36.33
KB
-rwxr-xr-x
fsck.ext2
246.56
KB
-rwxr-xr-x
fsck.ext3
246.56
KB
-rwxr-xr-x
fsck.ext4
246.56
KB
-rwxr-xr-x
fsck.fat
56.08
KB
-rwxr-xr-x
fsck.minix
77.58
KB
-rwxr-xr-x
fsck.msdos
56.08
KB
-rwxr-xr-x
fsck.vfat
56.08
KB
-rwxr-xr-x
fsck.xfs
1.92
KB
-rwxr-xr-x
fsfreeze
11.14
KB
-rwxr-xr-x
fstrim
40.8
KB
-rwxr-xr-x
fuser
32.32
KB
-rwxr-xr-x
gdisk
176.7
KB
-rwxr-xr-x
genhomedircon
23.69
KB
-rwxr-xr-x
genhostid
6.85
KB
-rwxr-xr-x
genl
77.94
KB
-rwxr-xr-x
genl-ctrl-list
11.2
KB
-rwxr-xr-x
getcap
11.02
KB
-rwxr-xr-x
getenforce
6.91
KB
-rwxr-xr-x
getpcaps
11.04
KB
-rwxr-xr-x
getsebool
11.05
KB
-rwxr-xr-x
glibc_post_upgrade.x86_64
690.84
KB
-rwx------
groupadd
59.84
KB
-rwxr-x---
groupdel
55.59
KB
-rwxr-x---
groupmems
55.63
KB
-rwxr-x---
groupmod
70.48
KB
-rwxr-x---
grpck
55.59
KB
-rwxr-xr-x
grpconv
51.4
KB
-rwxr-xr-x
grpunconv
47.39
KB
-rwxr-xr-x
grub2-bios-setup
1.31
MB
-rwxr-xr-x
grub2-get-kernel-settings
2.34
KB
-rwxr-xr-x
grub2-install
1.62
MB
-rwxr-xr-x
grub2-macbless
1.3
MB
-rwxr-xr-x
grub2-mkconfig
8.78
KB
-rwxr-xr-x
grub2-probe
1.31
MB
-rwxr-xr-x
grub2-reboot
4.7
KB
-rwxr-xr-x
grub2-rpm-sort
277.84
KB
-rwxr-xr-x
grub2-set-bootflag
10.95
KB
-rwxr-xr-x
grub2-set-default
3.45
KB
-rwxr-xr-x
grub2-set-password
2.74
KB
-rwxr-xr-x
grub2-setpassword
2.74
KB
-rwxr-xr-x
grubby
67.17
KB
-rwxr-xr-x
gssproxy
130.62
KB
-rwxr-xr-x
halt
676.78
KB
-rwxr-xr-x
hardlink
15.17
KB
-rwxr-xr-x
htcacheclean
31.09
KB
-rwxr-xr-x
httpd
573.09
KB
-rwxr-xr-x
hwclock
52.22
KB
-rwxr-xr-x
iconvconfig
28.96
KB
-rwxr-xr-x
iconvconfig.x86_64
28.96
KB
-rwxr-xr-x
ifcfg
3.04
KB
-rwxr-xr-x
ifconfig
75.97
KB
-rwxr-xr-x
ifdown
1.61
KB
-rwxr-xr-x
ifenslave
19.65
KB
-rwxr-xr-x
ifstat
78.29
KB
-rwxr-xr-x
ifup
4.89
KB
-rwxr-xr-x
init
1.52
MB
-rwxr-xr-x
insmod
147.19
KB
-rwxr-xr-x
install-info
110.23
KB
-rwxr-xr-x
installkernel
2.69
KB
-rwxr-xr-x
intel-microcode2ucode
11.02
KB
-rwxr-xr-x
ip
571.24
KB
-rwxr-xr-x
ip6tables
87.59
KB
-rwxr-xr-x
ip6tables-legacy
87.59
KB
-rwxr-xr-x
ip6tables-legacy-restore
87.59
KB
-rwxr-xr-x
ip6tables-legacy-save
87.59
KB
-rwxr-xr-x
ip6tables-restore
87.59
KB
-rwxr-xr-x
ip6tables-save
87.59
KB
-rwxr-xr-x
ipmaddr
19.25
KB
-rwxr-xr-x
iptables
87.59
KB
-rwxr-xr-x
iptables-apply
3.43
KB
-rwxr-xr-x
iptables-legacy
87.59
KB
-rwxr-xr-x
iptables-legacy-restore
87.59
KB
-rwxr-xr-x
iptables-legacy-save
87.59
KB
-rwxr-xr-x
iptables-restore
87.59
KB
-rwxr-xr-x
iptables-save
87.59
KB
-rwxr-xr-x
iptunnel
23.26
KB
-rwxr-xr-x
irqbalance
56.66
KB
-rwxr-xr-x
kacpimon
23.29
KB
-rwxr-xr-x
key.dns_resolver
19.48
KB
-rwxr-xr-x
killall5
23.1
KB
-rwxr-xr-x
kpartx
39.41
KB
-rwxr-xr-x
kpatch
17.59
KB
-rwxr-xr-x
lchage
15.23
KB
-rwxr-xr-x
ldattach
27.9
KB
-rwxr-xr-x
ldconfig
884.74
KB
-rwxr-xr-x
lgroupadd
11.12
KB
-rwxr-xr-x
lgroupdel
11.09
KB
-rwxr-xr-x
lgroupmod
15.27
KB
-rwxr-xr-x
lid
15.23
KB
-rwxr-xr-x
lnewusers
15.3
KB
-rwxr-xr-x
lnstat
20.05
KB
-rwxr-xr-x
load_policy
10.89
KB
-rwxr-xr-x
logrotate
68.54
KB
-rwxr-xr-x
logsave
11.18
KB
-rwxr-xr-x
losetup
77.9
KB
-rwxr-xr-x
lpasswd
15.34
KB
-rwxr-xr-x
lsmod
147.19
KB
-rwxr-xr-x
lsof
150.42
KB
-rwxr-xr-x
lspci
77.61
KB
-rwxr-xr-x
luseradd
15.22
KB
-rwxr-xr-x
luserdel
11.14
KB
-rwxr-xr-x
lusermod
19.26
KB
-rwxr-xr-x
lvchange
2.13
MB
-r-xr-xr-x
lvconvert
2.13
MB
-r-xr-xr-x
lvcreate
2.13
MB
-r-xr-xr-x
lvdisplay
2.13
MB
-r-xr-xr-x
lvextend
2.13
MB
-r-xr-xr-x
lvm
2.13
MB
-r-xr-xr-x
lvmconf
12.55
KB
-r-xr-xr-x
lvmconfig
2.13
MB
-r-xr-xr-x
lvmdiskscan
2.13
MB
-r-xr-xr-x
lvmdump
10.07
KB
-r-xr-xr-x
lvmetad
67.56
KB
-r-xr-xr-x
lvmpolld
63.99
KB
-r-xr-xr-x
lvmsadc
2.13
MB
-r-xr-xr-x
lvmsar
2.13
MB
-r-xr-xr-x
lvreduce
2.13
MB
-r-xr-xr-x
lvremove
2.13
MB
-r-xr-xr-x
lvrename
2.13
MB
-r-xr-xr-x
lvresize
2.13
MB
-r-xr-xr-x
lvs
2.13
MB
-r-xr-xr-x
lvscan
2.13
MB
-r-xr-xr-x
matchpathcon
11.09
KB
-rwxr-xr-x
mdadm
565
KB
-rwxr-xr-x
mdmon
311.18
KB
-rwxr-xr-x
mii-diag
20
KB
-rwxr-xr-x
mii-tool
19.43
KB
-rwxr-xr-x
mkdict
246
B
-rwxr-xr-x
mkdosfs
27.84
KB
-rwxr-xr-x
mke2fs
94.05
KB
-rwxr-xr-x
mkfs
11.16
KB
-rwxr-xr-x
mkfs.cramfs
36.08
KB
-rwxr-xr-x
mkfs.ext2
94.05
KB
-rwxr-xr-x
mkfs.ext3
94.05
KB
-rwxr-xr-x
mkfs.ext4
94.05
KB
-rwxr-xr-x
mkfs.fat
27.84
KB
-rwxr-xr-x
mkfs.minix
77.86
KB
-rwxr-xr-x
mkfs.msdos
27.84
KB
-rwxr-xr-x
mkfs.vfat
27.84
KB
-rwxr-xr-x
mkfs.xfs
441.73
KB
-rwxr-xr-x
mkhomedir_helper
18.96
KB
-rwxr-xr-x
mklost+found
7
KB
-rwxr-xr-x
mkswap
77.89
KB
-rwxr-xr-x
modinfo
147.19
KB
-rwxr-xr-x
modprobe
147.19
KB
-rwxr-xr-x
mount.nfs
110.62
KB
-rwsr-xr-x
mount.nfs4
110.62
KB
-rwsr-xr-x
mountstats
34.97
KB
-rwxr-xr-x
mtr
69.94
KB
-rwxr-xr-x
mtr-packet
27.52
KB
-rwxr-xr-x
nameif
15.24
KB
-rwxr-xr-x
netreport
6.88
KB
-rwxr-sr-x
new-kernel-pkg
24.96
KB
-rwxr-xr-x
newusers
70.28
KB
-rwxr-xr-x
nfsdcltrack
36.01
KB
-rwxr-xr-x
nfsidmap
19.23
KB
-rwxr-xr-x
nfsiostat
23.64
KB
-rwxr-xr-x
nfsstat
29.77
KB
-rwxr-xr-x
nl-class-add
11.59
KB
-rwxr-xr-x
nl-class-delete
11.47
KB
-rwxr-xr-x
nl-class-list
11.4
KB
-rwxr-xr-x
nl-classid-lookup
11.21
KB
-rwxr-xr-x
nl-cls-add
11.68
KB
-rwxr-xr-x
nl-cls-delete
11.58
KB
-rwxr-xr-x
nl-cls-list
11.5
KB
-rwxr-xr-x
nl-link-list
11.42
KB
-rwxr-xr-x
nl-pktloc-lookup
11.25
KB
-rwxr-xr-x
nl-qdisc-add
11.5
KB
-rwxr-xr-x
nl-qdisc-delete
11.47
KB
-rwxr-xr-x
nl-qdisc-list
11.55
KB
-rwxr-xr-x
nologin
11.02
KB
-rwxr-xr-x
nstat
74.26
KB
-rwxr-xr-x
ntsysv
36.18
KB
-rwxr-xr-x
osd_login
2.55
KB
-rwxr-xr-x
ownership
10.94
KB
-rwxr-xr-x
packer
6.98
KB
-rwxr-xr-x
pam_console_apply
39.59
KB
-rwxr-xr-x
pam_tally2
14.96
KB
-rwxr-xr-x
pam_timestamp_check
10.89
KB
-rwsr-xr-x
parted
77.1
KB
-rwxr-xr-x
partprobe
11.12
KB
-rwxr-xr-x
partx
82.01
KB
-rwxr-xr-x
pdata_tools
1.19
MB
-rwxr-xr-x
php-fpm
6.08
MB
-rwxr-xr-x
pidof
23.1
KB
-rwxr-xr-x
ping6
60.52
KB
-rwxr-xr-x
pivot_root
11.1
KB
-rwxr-xr-x
plipconfig
10.97
KB
-rwxr-xr-x
plymouth-set-default-theme
6.21
KB
-rwxr-xr-x
plymouthd
84.16
KB
-rwxr-xr-x
pm-hibernate
2.86
KB
-rwxr-xr-x
pm-powersave
2.09
KB
-rwxr-xr-x
pm-suspend
2.86
KB
-rwxr-xr-x
pm-suspend-hybrid
2.86
KB
-rwxr-xr-x
pm-utils-bugreport-info.sh
1.47
KB
-rwxr-xr-x
postalias
241.73
KB
-rwxr-xr-x
postcat
127.96
KB
-rwxr-xr-x
postconf
355.08
KB
-rwxr-xr-x
postdrop
205.4
KB
-rwxr-sr-x
postfix
115.05
KB
-rwxr-xr-x
postkick
123.31
KB
-rwxr-xr-x
postlock
123.26
KB
-rwxr-xr-x
postlog
115.27
KB
-rwxr-xr-x
postmap
245.55
KB
-rwxr-xr-x
postmulti
131.78
KB
-rwxr-xr-x
postqueue
245.82
KB
-rwxr-sr-x
postsuper
135.84
KB
-rwxr-xr-x
poweroff
676.78
KB
-rwxr-xr-x
ppp-watch
23.12
KB
-rwxr-xr-x
pvchange
2.13
MB
-r-xr-xr-x
pvck
2.13
MB
-r-xr-xr-x
pvcreate
2.13
MB
-r-xr-xr-x
pvdisplay
2.13
MB
-r-xr-xr-x
pvmove
2.13
MB
-r-xr-xr-x
pvremove
2.13
MB
-r-xr-xr-x
pvresize
2.13
MB
-r-xr-xr-x
pvs
2.13
MB
-r-xr-xr-x
pvscan
2.13
MB
-r-xr-xr-x
pwck
47.39
KB
-rwxr-xr-x
pwconv
43.26
KB
-rwxr-xr-x
pwhistory_helper
15.34
KB
-rwxr-xr-x
pwunconv
38.08
KB
-rwxr-xr-x
quot
66.59
KB
-rwxr-xr-x
quotacheck
103.22
KB
-rwxr-xr-x
quotaoff
74.97
KB
-rwxr-xr-x
quotaon
74.97
KB
-rwxr-xr-x
quotastats
13.97
KB
-rwxr-xr-x
raid-check
3.7
KB
-rwxr-xr-x
rdisc
23.09
KB
-rwxr-xr-x
rdma
123.63
KB
-rwxr-xr-x
readprofile
15.35
KB
-rwxr-xr-x
reboot
676.78
KB
-rwxr-xr-x
repquota
71.09
KB
-rwxr-xr-x
request-key
19.42
KB
-rwxr-xr-x
resize2fs
48.43
KB
-rwxr-xr-x
resizepart
36.67
KB
-rwxr-xr-x
restorecon
27.08
KB
-rwxr-xr-x
rmmod
147.19
KB
-rwxr-xr-x
rngd
62.36
KB
-rwxr-xr-x
rotatelogs
19
KB
-rwxr-xr-x
route
62.53
KB
-rwxr-xr-x
routef
208
B
-rwxr-xr-x
routel
1.62
KB
-rwxr-xr-x
rpc.gssd
84.57
KB
-rwxr-xr-x
rpc.idmapd
35.81
KB
-rwxr-xr-x
rpc.mountd
124.77
KB
-rwxr-xr-x
rpc.nfsd
36.09
KB
-rwxr-xr-x
rpc.rquotad
74.88
KB
-rwxr-xr-x
rpc.statd
93.52
KB
-rwxr-xr-x
rpcbind
59.99
KB
-rwxr-xr-x
rpcdebug
13.98
KB
-rwxr-xr-x
rpcinfo
27.22
KB
-rwxr-xr-x
rsyslogd
636.33
KB
-rwxr-xr-x
rtacct
41.88
KB
-rwxr-xr-x
rtcwake
40.39
KB
-rwxr-xr-x
rtmon
73.82
KB
-rwxr-xr-x
rtpr
70
B
-rwxr-xr-x
rtstat
20.05
KB
-rwxr-xr-x
runlevel
676.78
KB
-rwxr-xr-x
runuser
32.12
KB
-rwxr-xr-x
sa
36.7
KB
-rwxr-xr-x
safe_finger
11.01
KB
-rwxr-xr-x
sasldblistusers2
19.18
KB
-rwxr-xr-x
saslpasswd2
15.01
KB
-rwxr-xr-x
sefcontext_compile
60.45
KB
-rwxr-xr-x
selabel_digest
11.08
KB
-rwxr-xr-x
selabel_lookup
11.05
KB
-rwxr-xr-x
selabel_lookup_best_match
11.06
KB
-rwxr-xr-x
selabel_partial_match
10.98
KB
-rwxr-xr-x
selinux_restorecon
11.12
KB
-rwxr-xr-x
selinuxconlist
11.01
KB
-rwxr-xr-x
selinuxdefcon
11.02
KB
-rwxr-xr-x
selinuxenabled
6.88
KB
-rwxr-xr-x
selinuxexeccon
6.99
KB
-rwxr-xr-x
semodule
23.69
KB
-rwxr-xr-x
sendmail
234.05
KB
-rwxr-xr-x
sendmail.postfix
234.05
KB
-rwxr-xr-x
service
3.17
KB
-rwxr-xr-x
sestatus
14.94
KB
-rwxr-xr-x
setcap
11.08
KB
-rwxr-xr-x
setenforce
6.96
KB
-rwxr-xr-x
setfiles
27.08
KB
-rwxr-xr-x
setpci
23.3
KB
-rwxr-xr-x
setquota
83.09
KB
-rwxr-xr-x
setsebool
14.91
KB
-rwxr-xr-x
setup
15.32
KB
-rwxr-xr-x
sfdisk
106.84
KB
-rwxr-xr-x
sgdisk
160.45
KB
-rwxr-xr-x
sgpio
15.53
KB
-rwxr-xr-x
showmount
19.48
KB
-rwxr-xr-x
shutdown
676.78
KB
-rwxr-xr-x
slattach
38.29
KB
-rwxr-xr-x
sln
884.74
KB
-rwxr-xr-x
sm-notify
64.37
KB
-rwxr-xr-x
smtp-sink
86.88
KB
-rwxr-xr-x
smtp-source
73.66
KB
-rwxr-xr-x
ss
166.49
KB
-rwxr-xr-x
sshd
816.87
KB
-rwxr-xr-x
sshd-keygen
3.53
KB
-rwxr-xr-x
start-statd
842
B
-rwxr-xr-x
suexec
14.92
KB
-r-x--x---
sulogin
44.53
KB
-rwxr-xr-x
sushell
67
B
-rwxr-xr-x
swaplabel
15.26
KB
-rwxr-xr-x
swapoff
19.59
KB
-rwxr-xr-x
swapon
44.63
KB
-rwxr-xr-x
switch_root
15.28
KB
-rwxr-xr-x
sys-unconfig
184
B
-rwxr-xr-x
sysctl
23.48
KB
-rwxr-xr-x
tcpd
36.58
KB
-rwxr-xr-x
tcpdmatch
40.77
KB
-rwxr-xr-x
tcpdump
904.13
KB
-rwxr-xr-x
tcpslice
23.55
KB
-rwxr-xr-x
telinit
676.78
KB
-rwxr-xr-x
thin_check
1.19
MB
-rwxr-xr-x
thin_delta
1.19
MB
-rwxr-xr-x
thin_dump
1.19
MB
-rwxr-xr-x
thin_ls
1.19
MB
-rwxr-xr-x
thin_metadata_size
1.19
MB
-rwxr-xr-x
thin_repair
1.19
MB
-rwxr-xr-x
thin_restore
1.19
MB
-rwxr-xr-x
thin_rmap
1.19
MB
-rwxr-xr-x
thin_trim
1.19
MB
-rwxr-xr-x
tipc
119.49
KB
-rwxr-xr-x
tracepath
14.97
KB
-rwxr-xr-x
tracepath6
14.97
KB
-rwxr-xr-x
try-from
23.41
KB
-rwxr-xr-x
tune2fs
69.47
KB
-rwxr-xr-x
udevadm
410.14
KB
-rwxr-xr-x
umount.nfs
110.62
KB
-rwsr-xr-x
umount.nfs4
110.62
KB
-rwsr-xr-x
unix_chkpwd
35.34
KB
-rwsr-xr-x
unix_update
35.33
KB
-rwx------
update-alternatives
27.51
KB
-rwxr-xr-x
update-motd
2.47
KB
-rwxr-xr-x
update-pciids
1.71
KB
-rwxr-xr-x
useradd
111.3
KB
-rwxr-x---
userdel
74.37
KB
-rwxr-x---
userhelper
39.3
KB
-rws--x--x
usermod
111.03
KB
-rwxr-x---
usernetctl
10.94
KB
-rwsr-xr-x
vgcfgbackup
2.13
MB
-r-xr-xr-x
vgcfgrestore
2.13
MB
-r-xr-xr-x
vgchange
2.13
MB
-r-xr-xr-x
vgck
2.13
MB
-r-xr-xr-x
vgconvert
2.13
MB
-r-xr-xr-x
vgcreate
2.13
MB
-r-xr-xr-x
vgdisplay
2.13
MB
-r-xr-xr-x
vgexport
2.13
MB
-r-xr-xr-x
vgextend
2.13
MB
-r-xr-xr-x
vgimport
2.13
MB
-r-xr-xr-x
vgimportclone
2.13
MB
-r-xr-xr-x
vgmerge
2.13
MB
-r-xr-xr-x
vgmknodes
2.13
MB
-r-xr-xr-x
vgreduce
2.13
MB
-r-xr-xr-x
vgremove
2.13
MB
-r-xr-xr-x
vgrename
2.13
MB
-r-xr-xr-x
vgs
2.13
MB
-r-xr-xr-x
vgscan
2.13
MB
-r-xr-xr-x
vgsplit
2.13
MB
-r-xr-xr-x
vigr
58.13
KB
-rwxr-xr-x
vipw
58.13
KB
-rwxr-xr-x
virt-what
11.35
KB
-rwxr-xr-x
visudo
200.83
KB
-rwxr-xr-x
vpddecode
15.02
KB
-rwxr-xr-x
weak-modules
15.35
KB
-rwxr-xr-x
wipefs
32.05
KB
-rwxr-xr-x
xfs_admin
1.38
KB
-rwxr-xr-x
xfs_bmap
695
B
-rwxr-xr-x
xfs_copy
401.61
KB
-rwxr-xr-x
xfs_db
667.9
KB
-rwxr-xr-x
xfs_estimate
11.06
KB
-rwxr-xr-x
xfs_freeze
800
B
-rwxr-xr-x
xfs_fsr
44.52
KB
-rwxr-xr-x
xfs_growfs
389.55
KB
-rwxr-xr-x
xfs_info
1.26
KB
-rwxr-xr-x
xfs_io
171.63
KB
-rwxr-xr-x
xfs_logprint
421.77
KB
-rwxr-xr-x
xfs_mdrestore
377.06
KB
-rwxr-xr-x
xfs_metadump
782
B
-rwxr-xr-x
xfs_mkfile
1.02
KB
-rwxr-xr-x
xfs_ncheck
685
B
-rwxr-xr-x
xfs_quota
85.02
KB
-rwxr-xr-x
xfs_repair
666.55
KB
-rwxr-xr-x
xfs_rtcp
15.15
KB
-rwxr-xr-x
xfs_spaceman
40.29
KB
-rwxr-xr-x
xfsdump
287.52
KB
-rwxr-xr-x
xfsinvutil
57.77
KB
-rwxr-xr-x
xfsrestore
341.02
KB
-rwxr-xr-x
xqmstats
9.96
KB
-rwxr-xr-x
xtables-legacy-multi
87.59
KB
-rwxr-xr-x
yum-complete-transaction
9.22
KB
-rwxr-xr-x
yumdb
8.67
KB
-rwxr-xr-x
zdump
22.8
KB
-rwxr-xr-x
zic
49.59
KB
-rwxr-xr-x
zramctl
90.48
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : lvmconf
#!/bin/bash # # Copyright (C) 2004-2009 Red Hat, Inc. All rights reserved. # # This file is part of the lvm2 package. # # This copyrighted material is made available to anyone wishing to use, # modify, copy, or redistribute it subject to the terms and conditions # of the GNU General Public License v.2. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software Foundation, # Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA # # Edit an lvm.conf file to adjust various properties # # cluster with clvmd and/or locking lib? HANDLE_CLUSTER=0 # cluster without clvmd? HANDLE_HALVM=0 # also enable services appropriately (lvmetad, clvmd)? HANDLE_SERVICES=0 # also enable cmirrord service in addition? HANDLE_MIRROR_SERVICE=0 # also start/start services in addition to enabling/disabling them? START_STOP_SERVICES=0 function usage { echo "Usage: $0 <command>" echo "" echo "Commands:" echo "Enable clvm: --enable-cluster [--lockinglibdir <dir>] [--lockinglib <lib>]" echo "Disable clvm: --disable-cluster" echo "Enable halvm: --enable-halvm" echo "Disable halvm: --disable-halvm" echo "Set locking library: --lockinglibdir <dir> [--lockinglib <lib>]" echo "" echo "Global options:" echo "Config file location: --file <configfile>" echo "Set services: --services [--mirrorservice] [--startstopservices]" echo "" echo "Use the separate command 'lvmconfig' to display configuration information" } function set_default_use_lvmetad_var { eval "$(lvm dumpconfig --type default global/use_lvmetad 2>/dev/null)" if [ "$?" != 0 ]; then USE_LVMETAD=0 else USE_LVMETAD=$use_lvmetad fi } function parse_args { while [ -n "$1" ]; do case "$1" in --enable-cluster) LOCKING_TYPE=3 USE_LVMETAD=0 HANDLE_CLUSTER=1 shift ;; --disable-cluster) LOCKING_TYPE=1 set_default_use_lvmetad_var HANDLE_CLUSTER=1 shift ;; --enable-halvm) LOCKING_TYPE=1 USE_LVMETAD=0 HANDLE_HALVM=1 shift ;; --disable-halvm) LOCKING_TYPE=1 set_default_use_lvmetad_var HANDLE_HALVM=1 shift ;; --lockinglibdir) if [ -n "$2" ]; then LOCKINGLIBDIR=$2 shift 2 else usage exit 1 fi HANDLE_CLUSTER=1 ;; --lockinglib) if [ -n "$2" ]; then LOCKINGLIB=$2 shift 2 else usage exit 1 fi HANDLE_CLUSTER=1 ;; --file) if [ -n "$2" ]; then CONFIGFILE=$2 shift 2 else usage exit 1 fi ;; --services) HANDLE_SERVICES=1 shift ;; --mirrorservice) HANDLE_MIRROR_SERVICE=1 shift ;; --startstopservices) START_STOP_SERVICES=1 shift ;; *) usage exit 1 esac done if [ -n "$LOCKINGLIBDIR" ] || [ -n "$LOCKINGLIB" ]; then LOCKING_TYPE=2 USE_LVMETAD=0 fi } function validate_args { [ -z "$CONFIGFILE" ] && CONFIGFILE="/etc/lvm/lvm.conf" if [ ! -f "$CONFIGFILE" ] then echo "$CONFIGFILE does not exist" exit 10 fi if [ "$HANDLE_CLUSTER" = 1 ] && [ "$HANDLE_HALVM" = 1 ]; then echo "Either HA LVM or cluster method may be used at one time" exit 18 fi if [ "$HANDLE_SERVICES" = 0 ]; then if [ "$HANDLE_MIRROR_SERVICE" = 1 ]; then echo "--mirrorservice may be used only with --services" exit 19 fi if [ "$START_STOP_SERVICES" = 1 ]; then echo "--startstopservices may be used only with --services" exit 19 fi fi if [ -z "$LOCKING_TYPE" ] && [ -z "$LOCKINGLIBDIR" ]; then usage exit 1 fi if [ -n "$LOCKINGLIBDIR" ]; then if [ "${LOCKINGLIBDIR:0:1}" != "/" ] then echo "Prefix must be an absolute path name (starting with a /)" exit 12 fi if [ -n "$LOCKINGLIB" ] && [ ! -f "$LOCKINGLIBDIR/$LOCKINGLIB" ] then echo "$LOCKINGLIBDIR/$LOCKINGLIB does not exist, did you do a \"make install\" ?" exit 11 fi fi if [ "$LOCKING_TYPE" = 1 ] ; then if [ -n "$LOCKINGLIBDIR" ] || [ -n "$LOCKINGLIB" ]; then echo "Superfluous locking lib parameter, ignoring" fi fi } umask 0077 parse_args "$@" validate_args SCRIPTFILE=/etc/lvm/.lvmconf-script.tmp TMPFILE=/etc/lvm/.lvmconf-tmp.tmp # Flags so we know which parts of the file we can replace and which need # adding. These are return codes from grep, so zero means it IS present! have_type=1 have_dir=1 have_library=1 have_use_lvmetad=1 have_global=1 grep -q '^[[:blank:]]*locking_type[[:blank:]]*=' "$CONFIGFILE" have_type=$? grep -q '^[[:blank:]]*library_dir[[:blank:]]*=' "$CONFIGFILE" have_dir=$? grep -q '^[[:blank:]]*locking_library[[:blank:]]*=' "$CONFIGFILE" have_library=$? grep -q '^[[:blank:]]*use_lvmetad[[:blank:]]*=' "$CONFIGFILE" have_use_lvmetad=$? # Those options are in section "global {" so we must have one if any are present. if [ "$have_type" = 0 ] || [ "$have_dir" = 0 ] || [ "$have_library" = 0 ] || [ "$have_use_lvmetad" = 0 ] then # See if we can find it... grep -q '^[[:blank:]]*global[[:blank:]]*{' $CONFIGFILE have_global=$? if [ "$have_global" = 1 ] then echo "global keys but no 'global {' found, can't edit file" exit 13 fi fi if [ "$LOCKING_TYPE" = 2 ] && [ -z "$LOCKINGLIBDIR" ] && [ "$have_dir" = 1 ]; then echo "no library_dir specified in $CONFIGFILE" exit 16 fi # So if we don't have "global {" we need to create one and # populate it if [ "$have_global" = 1 ] then if [ -z "$LOCKING_TYPE" ]; then LOCKING_TYPE=1 fi if [ "$LOCKING_TYPE" = 3 ] || [ "$LOCKING_TYPE" = 2 ]; then cat "$CONFIGFILE" - <<EOF > "$TMPFILE" global { # Enable locking for cluster LVM locking_type = $LOCKING_TYPE library_dir = "$LOCKINGLIBDIR" # Disable lvmetad in cluster use_lvmetad = 0 EOF if [ $? != 0 ] then echo "failed to create temporary config file, $CONFIGFILE not updated" exit 14 fi if [ -n "$LOCKINGLIB" ]; then cat - <<EOF >> "$TMPFILE" locking_library = "$LOCKINGLIB" EOF if [ $? != 0 ] then echo "failed to create temporary config file, $CONFIGFILE not updated" exit 16 fi fi cat - <<EOF >> "$TMPFILE" } EOF fi # if we aren't setting cluster locking, we don't need to create a global section if [ $? != 0 ] then echo "failed to create temporary config file, $CONFIGFILE not updated" exit 17 fi else # # We have a "global {" section, so add or replace the # locking entries as appropriate # if [ -n "$LOCKING_TYPE" ]; then if [ "$have_type" = 0 ] then SEDCMD=" s/^[[:blank:]]*locking_type[[:blank:]]*=.*/\ \ \ \ locking_type = $LOCKING_TYPE/g" else SEDCMD=" /global[[:blank:]]*{/a\ \ \ \ locking_type = $LOCKING_TYPE" fi fi if [ -n "$LOCKINGLIBDIR" ]; then if [ "$have_dir" = 0 ] then SEDCMD="${SEDCMD}\ns'^[[:blank:]]*library_dir[[:blank:]]*=.*'\ \ \ \ library_dir = \"$LOCKINGLIBDIR\"'g" else SEDCMD="${SEDCMD}\n/global[[:blank:]]*{/a\ \ \ \ library_dir = \"$LOCKINGLIBDIR\"" fi fi if [ -n "$LOCKINGLIB" ]; then if [ "$have_library" = 0 ] then SEDCMD="${SEDCMD}\ns/^[[:blank:]]*locking_library[[:blank:]]*=.*/\ \ \ \ locking_library = \"$LOCKINGLIB\"/g" else SEDCMD="${SEDCMD}\n/global[[:blank:]]*{/a\ \ \ \ locking_library = \"$LOCKINGLIB\"" fi fi if [ "$have_use_lvmetad" = 0 ] then SEDCMD="${SEDCMD}\ns'^[[:blank:]]*use_lvmetad[[:blank:]]*=.*'\ \ \ \ use_lvmetad = $USE_LVMETAD'g" else SEDCMD="${SEDCMD}\n/global[[:blank:]]*{/a\ \ \ \ use_lvmetad = $USE_LVMETAD" fi echo -e "$SEDCMD" > "$SCRIPTFILE" sed <"$CONFIGFILE" >"$TMPFILE" -f "$SCRIPTFILE" if [ $? != 0 ] then echo "sed failed, $CONFIGFILE not updated" exit 15 fi fi # Now we have a suitably editted config file in a temp place, # backup the original and copy our new one into place. cp "$CONFIGFILE" "$CONFIGFILE.lvmconfold" if [ $? != 0 ] then echo "failed to backup old config file, $CONFIGFILE not updated" exit 2 fi cp "$TMPFILE" "$CONFIGFILE" if [ $? != 0 ] then echo "failed to copy new config file into place, check $CONFIGFILE is still OK" exit 3 fi rm -f "$SCRIPTFILE" "$TMPFILE" function set_service { local type=$1 local action=$2 shift 2 if [ "$type" = "systemd" ]; then if [ "$action" = "activate" ]; then for i in "$@"; do unset LoadState eval "$($SYSTEMCTL_BIN show "$i" -p LoadState 2>/dev/null)" test "$LoadState" = "loaded" || continue $SYSTEMCTL_BIN enable "$i" if [ "$START_STOP_SERVICES" = 1 ]; then $SYSTEMCTL_BIN start "$i" fi done elif [ "$action" = "deactivate" ]; then for i in "$@"; do unset LoadState eval "$($SYSTEMCTL_BIN show "$i" -p LoadState 2>/dev/null)" test "$LoadState" = "loaded" || continue "$SYSTEMCTL_BIN" disable "$i" if [ "$START_STOP_SERVICES" = 1 ]; then "$SYSTEMCTL_BIN" stop "$i" fi done fi elif [ "$type" = "sysv" ]; then if [ "$action" = "activate" ]; then for i in "$@"; do "$CHKCONFIG_BIN" --list "$i" > /dev/null || continue "$CHKCONFIG_BIN" "$i" on if [ "$START_STOP_SERVICES" = 1 ]; then "$SERVICE_BIN" "$i" start fi done elif [ "$action" = "deactivate" ]; then for i in "$@"; do "$CHKCONFIG_BIN" --list "$i" > /dev/null || continue if [ "$START_STOP_SERVICES" = 1 ]; then "$SERVICE_BIN" "$i" stop fi "$CHKCONFIG_BIN" "$i" off done fi fi } # Start/stop and enable/disable services if needed. if [ "$HANDLE_SERVICES" = 1 ]; then SYSTEMCTL_BIN=$(which systemctl 2>/dev/null) CHKCONFIG_BIN=$(which chkconfig 2>/dev/null) SERVICE_BIN=$(which service 2>/dev/null) # Systemd services if [ -n "$SYSTEMCTL_BIN" ]; then if [ "$USE_LVMETAD" = 0 ]; then set_service systemd deactivate lvm2-lvmetad.service lvm2-lvmetad.socket else set_service systemd activate lvm2-lvmetad.socket fi if [ "$LOCKING_TYPE" = 3 ]; then set_service systemd activate lvm2-cluster-activation.service if [ "$HANDLE_MIRROR_SERVICE" = 1 ]; then set_service activate lvm2-cmirrord.service fi else set_service systemd deactivate lvm2-cluster-activation.service if [ "$HANDLE_MIRROR_SERVICE" = 1 ]; then set_service systemd deactivate lvm2-cmirrord.service fi fi # System V init scripts elif [ -n "$SERVICE_BIN" ] && [ -n "$CHKCONFIG_BIN" ]; then if [ "$USE_LVMETAD" = 0 ]; then set_service sysv deactivate lvm2-lvmetad else set_service sysv activate lvm2-lvmetad fi if [ "$LOCKING_TYPE" = 3 ]; then set_service sysv activate clvmd if [ "$HANDLE_MIRROR_SERVICE" = 1 ]; then set_service sysv activate cmirrord fi else set_service sysv deactivate clvmd if [ "$HANDLE_MIRROR_SERVICE" = 1 ]; then set_service sysv deactivate cmirrord fi fi # None of the service tools found, error out else echo "Missing tools to handle services" exit 20 fi fi
Close